public class UE21Aufgabe15 {

	public static final int NO_ERROR = 0;

	public static final int NEG_ERROR = 1;

	public static final int OVERFLOW_ERROR = 2;

	public static final int PARAM_ERROR = 3;

	public static int error = NO_ERROR;

	public static int subtrahieren(int zahl1, int zahl2) {
		if (zahl1 < 0 || zahl2 < 0) {
			error = PARAM_ERROR;
			return -1;
		}
		if (zahl1 < zahl2) {
			error = NEG_ERROR;
			return -1;
		}
		error = NO_ERROR;
		return zahl1 - zahl2;
	}

	public static int addieren(int zahl1, int zahl2) {
		if (zahl1 < 0 || zahl2 < 0) {
			error = PARAM_ERROR;
			return -1;
		}
		if (zahl1 + zahl2 < 0) {
			error = OVERFLOW_ERROR;
			return -1;
		}
		error = NO_ERROR;
		return zahl1 + zahl2;
	}

	public static void main(String[] args) {
		for (int i = 0; i < 3; i++) {
			int zahl1 = IO.readInt("Zahl 1: ");
			int zahl2 = IO.readInt("Zahl 2: ");
			int diff = subtrahieren(zahl1, zahl2);
			if (error == PARAM_ERROR) {
				System.out.println("Ungueltiger Parameter!");
			} else if (error == NEG_ERROR) {
				System.out.println("Ungueltige Subtraktion!");
			} else {
				int summe = addieren(zahl1, zahl2);
				if (error == PARAM_ERROR) {
					System.out.println("Ungueltiger Parameter!");
				} else if (error == OVERFLOW_ERROR) {
					System.out.println("Ungueltige Addition!");
				} else {
					System.out.println(zahl1 + "-" + zahl2 + "=" + diff);
					System.out.println(zahl1 + "+" + zahl2 + "=" + summe);
				}
			}
		}
	}
}
